package cn.im.trafficlinkage.action;

 import cn.im.trafficlinkage.model.TrafficdevicecurrstateBean;
import cn.im.trafficlinkage.service.TrafficdevicecurrstateService;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import cn.base.aspect.OperateType;
import cn.base.bean.BaseAction;
import cn.base.excel.ExcelCol;
import cn.base.excel.ExportEngine;
import cn.base.util.CommUtils;
import cn.base.util.Constants;
import cn.base.util.LogConstants;
import cn.base.util.StringUtil;
import cn.base.util.Struts2Utils;

@SuppressWarnings({"all"})
@Component("trafficdevicecurrstateAction")
public class TrafficdevicecurrstateAction extends BaseAction{
	private static final long serialVersionUID = 1L;
	private static Logger iLog = Logger.getLogger(TrafficdevicecurrstateAction.class);
	
	@Autowired
	private TrafficdevicecurrstateService service;
	
	/**
	 * 分页
	 */
	/*
	@OperateType(value = LogConstants.LOG_QUERY ,info ="listTrafficdevicecurrstateByPage")
	public void listTrafficdevicecurrstateByPage(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int page = Integer.parseInt(Struts2Utils.getParameter("page"));
			int rows = Integer.parseInt(Struts2Utils.getParameter("rows"));
			int start = ( (page == 0 ?  1 : page ) - 1) * rows ;
			map.put("start",start );
			map.put("limit",rows );
			Struts2Utils.renderJson(this.service.listTrafficdevicecurrstateByPage(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateAction-listTrafficdevicecurrstateByPage-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	@OperateType(value = LogConstants.LOG_QUERY ,info ="count_Trafficdevicecurrstate")
	public void count_Trafficdevicecurrstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.count_Trafficdevicecurrstate(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateAction-count_Trafficdevicecurrstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询 Trafficdevicecurrstate
	 */
	@OperateType(value = LogConstants.LOG_GET ,info ="query_Trafficdevicecurrstate_All")
	public void query_Trafficdevicecurrstate_All(){
//		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.query_Trafficdevicecurrstate_All());
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateAction-query_Trafficdevicecurrstate_all-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	/**
	 * 查询 一条Trafficdevicecurrstate
	 */
	/*
	@OperateType(value = LogConstants.LOG_GET ,info ="get_Trafficdevicecurrstate")
	public void get_Trafficdevicecurrstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.get_Trafficdevicecurrstate(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateActionquery_Trafficdevicecurrstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	*/
	
	@OperateType(value = LogConstants.LOG_GET ,info ="get_Trafficdevicecurrstate_bean1")
	public void get_Trafficdevicecurrstate_bean1(){
//		Map map = Struts2Utils.getRequestParameterMap();
		try {
			TrafficdevicecurrstateBean bean = new TrafficdevicecurrstateBean();
			bean.setDeviceId("34cc1762366a4e659ed4e38b5fdde803");
			bean.setDeviceType("2");
			Struts2Utils.renderJson(this.service.get_Trafficdevicecurrstate_bean(bean));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateActionquery_Trafficdevicecurrstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	/**
	 * 删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="deleteTrafficdevicecurrstate")
	public void delete_Trafficdevicecurrstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(!CommUtils.isEmpty(map)){
				int result = service.delete_Trafficdevicecurrstate(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}else{
				 throw new Exception("请正确的选择删除记录!!!");
			}
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateAction-delete_Trafficdevicecurrstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/

	/**
	 * 插入
	 */
	/*
	@OperateType(value = LogConstants.LOG_ADD ,info ="insert_Trafficdevicecurrstate")
	public void insert_Trafficdevicecurrstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(StringUtil.checkEmpty(map.get("ID"))){
				map.put("ID",StringUtil.getUUID());
			}
			service.insert_Trafficdevicecurrstate(map);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateAction-listTrafficdevicecurrstateByPage()-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 修改
	 */
	/*
	@OperateType(value = LogConstants.LOG_UPDATE ,info ="update_Trafficdevicecurrstate")
	public void update_Trafficdevicecurrstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int result = service.update_Trafficdevicecurrstate(map);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateAction-update_Trafficdevicecurrstate-error: " +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 批量删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="batch_delete_Trafficdevicecurrstate")
	public void batch_delete_Trafficdevicecurrstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Map m = new HashMap();
			m.put("keyword", map.get("keyword").toString());
			int result = service.batch_delete_Trafficdevicecurrstate(m);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateAction-batch_delete_Trafficdevicecurrstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 导出Excel
	 */
	/*
	@OperateType(value = LogConstants.LOG_EXPORT ,info ="exoprtExcel")
	public void exoprtExcel(){
		try {
			Map map = Struts2Utils.getRequestParameterMap();
			map.put("start",0 );
			map.put("limit",5000);
			map = service.exportTrafficdevicecurrstate(map);
			ExcelCol[] cells = new ExcelCol[2];
			cells[0] = new ExcelCol();
			cells[0].setColKey("字段名");
			cells[0].setColName("字段名称");
			cells[1] = new ExcelCol();
			cells[1].setColKey("字段名");
			cells[1].setColName("字段名称");
			Map params = new HashMap();
			params.put("fileName", "交通事故当前状态表");
			params.put("sheetName", "交通事故当前状态表");
			params.put("header", "交通事故当前状态表");	
			new ExportEngine().exportCommData(params, cells, (ArrayList)map.get("rows"), Struts2Utils.getResponse());
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicecurrstateAction-exoprtExcel-error:" +e);
			
		}
	}
	*/
}
